#!/usr/bin/python
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2013 Brian Douglass bhdouglass@gmail.com
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

"""Code to add AppIndicator."""

from gi.repository import Gtk # pylint: disable=E0611
from gi.repository import AppIndicator3 # pylint: disable=E0611

from indicator_remindor.helpers import get_media_file

import gettext
from gettext import gettext as _
gettext.textdomain('remindor-common')

class Indicator:
    def __init__(self, window):
        self.indicator = AppIndicator3.Indicator.new('indicator-remindor', 'indicator-remindor-active', AppIndicator3.IndicatorCategory.APPLICATION_STATUS)
        self.indicator.set_status(AppIndicator3.IndicatorStatus.ACTIVE)

        self.indicator.set_icon("indicator-remindor-active")
        self.indicator.set_attention_icon("indicator-remindor-attention")

        self.menu = Gtk.Menu()

        # Add items to Menu and connect signals.
        self.add = Gtk.ImageMenuItem(Gtk.STOCK_ADD)
        self.add.set_use_stock(True)
        self.add.set_label(_("Add"))
        self.add.connect("activate", window.on_add_clicked)
        self.add.show()
        self.menu.append(self.add)

        quick_image = Gtk.Image()
        quick_image.set_from_icon_name("media-seek-forward", Gtk.IconSize.MENU)

        self.quick = Gtk.ImageMenuItem()#Gtk.STOCK_MEDIA_FORWARD)
        self.quick.set_use_stock(False)
        self.quick.set_image(quick_image)
        self.quick.set_label(_("Quick Add"))
        self.quick.connect("activate", window.on_quick_add_clicked)
        self.quick.show()
        self.menu.append(self.quick)

        stop_image = Gtk.Image()
        stop_image.set_from_icon_name("media-playback-stop", Gtk.IconSize.MENU)

        self.stop = Gtk.ImageMenuItem()#Gtk.STOCK_MEDIA_STOP)
        self.stop.set_use_stock(False)
        self.stop.set_image(stop_image)
        self.stop.set_label(_("Stop Sound"))
        self.stop.connect("activate", window.stop_sound)
        self.stop.show()
        self.menu.append(self.stop)

        manage_image = Gtk.Image()
        manage_image.set_from_icon_name("stock_properties", Gtk.IconSize.MENU)

        self.manage = Gtk.ImageMenuItem()#Gtk.STOCK_PREFERENCES)
        self.manage.set_use_stock(False)
        self.manage.set_image(manage_image)
        self.manage.set_label(_("Manage"))
        self.manage.connect("activate", window.on_indicator_manage_activate)
        self.manage.show()
        self.menu.append(self.manage)

        self.quit = Gtk.ImageMenuItem(Gtk.STOCK_QUIT)
        self.quit.set_use_stock(True)
        self.quit.set_label(_("Quit"))
        self.quit.connect("activate", window.on_indicator_quit_activate)
        self.quit.show()
        self.menu.append(self.quit)

        self.menu.hide()
        self.indicator.set_menu(self.menu)

def new_application_indicator(window):
    ind = Indicator(window)
    return ind.indicator
